cd('/Volumes/LNDG/Projects/StateSwitch/dynamic/data/mri/task/analyses/B5_PLS_eventRelated/B_data/MeanBOLD_ER_PLS_v2')

load('Z_Thal_fMRI_rf_plot_nonNorm.mat')

load('/Volumes/LNDG/Projects/StateSwitch/dynamic/data/multimodal/C2_attentionFactor_OA/B_data/A_EEGAttentionFactor_YAOA.mat')

IDs = {'1117';'1118';'1120';'1124';'1125';'1126';'1131';'1132';'1135';'1136';...
    '1151';'1160';'1164';'1167';'1169';'1172';'1173';'1178';'1182';'1214';'1215';...
    '1216';'1219';'1223';'1227';'1228';'1233';'1234';'1237';'1239';'1240';'1243';...
    '1245';'1247';'1250';'1252';'1257';'1261';'1265';'1266';'1268';'1270';'1276';'1281'};

jointsubs = intersect(EEGAttentionFactor.IDs,IDs);
attFctrIdx = find(ismember(EEGAttentionFactor.IDs,jointsubs));
PLSIdx = find(ismember(IDs,jointsubs));

L1 = st_data(1:4:end,:);
L2 = st_data(2:4:end,:);
L3 = st_data(3:4:end,:);
L4 = st_data(4:4:end,:);

% add within-subject error bars

pn.shadedError = ['/Volumes/LNDG/Projects/StateSwitch/dynamic/data/eeg/rest/B_analyses/A_MSE_CSD_multiVariant/T_tools/shadedErrorBar']; addpath(pn.shadedError);

addpath('/Volumes/LNDG/Projects/StateSwitch/dynamic/data/eeg/rest/B_analyses/A_MSE_CSD_multiVariant/T_tools/brewermap')
cBrew = brewermap(4,'RdBu');

callCats = cat(3, L1, L2, L3, L4);

%callCats = callCats(1:30,:,:);
h = figure('units','normalized','position',[0 0 .4 .4]);
hold on;
    condAvg = squeeze(nanmean(callCats(:,:,:),3));
    curData = squeeze(callCats(:,:,1));
    curData = curData-condAvg+repmat(nanmean(condAvg,1),size(condAvg,1),1);
    standError = nanstd(curData,1)./sqrt(size(curData,1));
    l1 = shadedErrorBar([],nanmean(curData,1),standError, ...
        'lineprops', {'color', cBrew(1,:),'linewidth', 2}, 'patchSaturation', .25);
    curData = squeeze(callCats(:,:,2));
    curData = curData-condAvg+repmat(nanmean(condAvg,1),size(condAvg,1),1);
    standError = nanstd(curData,1)./sqrt(size(curData,1));
    l2 = shadedErrorBar([],nanmean(curData,1),standError, ...
        'lineprops', {'color', cBrew(2,:),'linewidth', 2}, 'patchSaturation', .25);
    curData = squeeze(callCats(:,:,3));
    curData = curData-condAvg+repmat(nanmean(condAvg,1),size(condAvg,1),1);
    standError = nanstd(curData,1)./sqrt(size(curData,1));
    l3 = shadedErrorBar([],nanmean(curData,1),standError, ...
        'lineprops', {'color', cBrew(3,:),'linewidth', 2}, 'patchSaturation', .25);
    curData = squeeze(callCats(:,:,4));
    curData = curData-condAvg+repmat(nanmean(condAvg,1),size(condAvg,1),1);
    standError = nanstd(curData,1)./sqrt(size(curData,1));
    l4 = shadedErrorBar([],nanmean(curData,1),standError, ...
        'lineprops', {'color', cBrew(4,:),'linewidth', 2}, 'patchSaturation', .25);
xlabel('Time from stimulus onset (TRs)');
ylabel('normalized BOLD amplitude (a.u.)');
title({'Earlier thalamic response with probe uncertainty'; ''})
set(findall(gcf,'-property','FontSize'),'FontSize',18)

pn.plotFolder = '/Volumes/LNDG/Projects/StateSwitch/dynamic/data/mri/task/analyses/B5_PLS_eventRelated/C_figures/';
figureName = 'A_thalamicLatency';

saveas(h, [pn.plotFolder, figureName], 'fig');
saveas(h, [pn.plotFolder, figureName], 'epsc');
saveas(h, [pn.plotFolder, figureName], 'png');

load('Z_Thal_fMRI_rf_plot.mat')
load('Z_LV1_fMRI_bs_plot.mat')

L1 = bs_data(1:4:end,:);
L2 = bs_data(2:4:end,:);
L3 = bs_data(3:4:end,:);
L4 = bs_data(4:4:end,:);

callCats = cat(3, L1, L2, L3, L4);

h = figure('units','normalized','position',[0 0 .4 .4]);
hold on;
    condAvg = squeeze(nanmean(callCats(:,:,:),3));
    curData = squeeze(callCats(:,:,1));
    curData = curData-condAvg+repmat(nanmean(condAvg,1),size(condAvg,1),1);
    standError = nanstd(curData,1)./sqrt(size(curData,1));
    l1 = shadedErrorBar([],nanmean(curData,1),standError, ...
        'lineprops', {'color', cBrew(1,:),'linewidth', 2}, 'patchSaturation', .25);
    curData = squeeze(callCats(:,:,2));
    curData = curData-condAvg+repmat(nanmean(condAvg,1),size(condAvg,1),1);
    standError = nanstd(curData,1)./sqrt(size(curData,1));
    l2 = shadedErrorBar([],nanmean(curData,1),standError, ...
        'lineprops', {'color', cBrew(2,:),'linewidth', 2}, 'patchSaturation', .25);
    curData = squeeze(callCats(:,:,3));
    curData = curData-condAvg+repmat(nanmean(condAvg,1),size(condAvg,1),1);
    standError = nanstd(curData,1)./sqrt(size(curData,1));
    l3 = shadedErrorBar([],nanmean(curData,1),standError, ...
        'lineprops', {'color', cBrew(3,:),'linewidth', 2}, 'patchSaturation', .25);
    curData = squeeze(callCats(:,:,4));
    curData = curData-condAvg+repmat(nanmean(condAvg,1),size(condAvg,1),1);
    standError = nanstd(curData,1)./sqrt(size(curData,1));
    l4 = shadedErrorBar([],nanmean(curData,1),standError, ...
        'lineprops', {'color', cBrew(4,:),'linewidth', 2}, 'patchSaturation', .25);
xlabel('Time from stimulus onset (TRs)');
ylabel('normalized BOLD amplitude (a.u.)');
title({'Earlier thalamic response with probe uncertainty'; ''})
set(findall(gcf,'-property','FontSize'),'FontSize',18)


% continuous correlation with AMF
for indLag = 1:20
    [r, p] = corrcoef(EEGAttentionFactor.PCAalphaGamma(attFctrIdx), squeeze(nanmean(callCats(PLSIdx,indLag,2:4),3)-nanmean(callCats(PLSIdx,indLag,1),3)), 'rows', 'complete');
    Rmat(indLag) = r(2);
    Pmat(indLag) = p(2);
end
figure; plot(Rmat)
figure; plot(Pmat)

figure; 
imagesc(L1); colorbar;
imagesc(L2); colorbar;
imagesc(L3); colorbar;
imagesc(L4); colorbar;

jointsubs = intersect(EEGAttentionFactor.IDs,IDs);
attFctrIdx = find(ismember(EEGAttentionFactor.IDs,jointsubs));
PLSIdx = find(ismember(IDs,jointsubs));

figure; 
scatter(EEGAttentionFactor.PCAalphaGamma(attFctrIdx), nanmean(L3(PLSIdx,11:15),2)-nanmean(L1(PLSIdx,11:15),2), 'filled')
[r, p] = corrcoef(EEGAttentionFactor.PCAalphaGamma(attFctrIdx), nanmean(L3(PLSIdx,11:15),2)-nanmean(L1(PLSIdx,11:15),2), 'rows', 'complete')


figure; 
scatter(EEGAttentionFactor.PCAalphaGamma(attFctrIdx), nanmean(L4(PLSIdx,10:12),2), 'filled')
[r, p] = corrcoef(EEGAttentionFactor.PCAalphaGamma(attFctrIdx), nanmean(L4(PLSIdx,10:12),2))


[maxVal4, maxInd4] = max(L4(PLSIdx,8:14),[],2);
[maxVal2, maxInd2] = max(L2(PLSIdx,8:14),[],2);
[maxVal3, maxInd3] = max(L3(PLSIdx,8:14),[],2);
[maxVal1, maxInd1] = max(L1(PLSIdx,8:14),[],2);

[meanVal1] = nanmean(L1(PLSIdx,12:14),2);
[meanVal2] = nanmean(L2(PLSIdx,12:14),2);
[meanVal3] = nanmean(L3(PLSIdx,12:14),2);
[meanVal4] = nanmean(L4(PLSIdx,12:14),2);

h = figure('units','normalized','position',[0 0 .3 .3]);
    EEGAttentionFactor.PCAalphaGamma(EEGAttentionFactor.PCAalphaGamma>5) = NaN;
    scatter(EEGAttentionFactor.PCAalphaGamma(attFctrIdx), maxInd1, 100, 'filled')%,'FillColor', 'k')
    [r, p] = corrcoef(EEGAttentionFactor.PCAalphaGamma(attFctrIdx), maxInd1, 'rows', 'complete')
    ll = lsline(); set(ll, 'LineWidth', 2, 'Color', [0 0 0]);
    legend([ll], {['r = ', num2str(round(r(1,2),2)), '; p = ', num2str(round(p(1,2),3))]}, 'location', 'SouthWest'); legend('boxoff')
    xlabel('EEG: attentional modulation factor');
    ylabel('Thalamic latency shift (L234-L1)');
    title({'Thalamic latency shift related to EEG attention modulation'; ''})
    set(findall(gcf,'-property','FontSize'),'FontSize',18)

    
h = figure('units','normalized','position',[0 0 .3 .3]);
    EEGAttentionFactor.PCAalphaGamma(EEGAttentionFactor.PCAalphaGamma>5) = NaN;
    scatter(EEGAttentionFactor.PCAalphaGamma(attFctrIdx), nanmean([meanVal1,meanVal2,meanVal3,meanVal4],2), 100, 'filled')%,'FillColor', 'k')
    [r, p] = corrcoef(EEGAttentionFactor.PCAalphaGamma(attFctrIdx), nanmean([meanVal1,meanVal2,meanVal3,meanVal4],2), 'rows', 'complete')
    ll = lsline(); set(ll, 'LineWidth', 2, 'Color', [0 0 0]);
    legend([ll], {['r = ', num2str(round(r(1,2),2)), '; p = ', num2str(round(p(1,2),3))]}, 'location', 'SouthWest'); legend('boxoff')
    xlabel('EEG: attentional modulation factor');
    ylabel('Thalamic latency shift (L234-L1)');
    title({'Thalamic latency shift related to EEG attention modulation'; ''})
    set(findall(gcf,'-property','FontSize'),'FontSize',18)
    
h = figure('units','normalized','position',[0 0 .3 .3]);
    EEGAttentionFactor.PCAalphaGamma(EEGAttentionFactor.PCAalphaGamma>5) = NaN;
    scatter(EEGAttentionFactor.PCAalphaGamma(attFctrIdx), nanmean([meanVal1],2), 100, 'filled')%,'FillColor', 'k')
    [r, p] = corrcoef(EEGAttentionFactor.PCAalphaGamma(attFctrIdx), nanmean([meanVal1],2), 'rows', 'complete')
    ll = lsline(); set(ll, 'LineWidth', 2, 'Color', [0 0 0]);
    legend([ll], {['r = ', num2str(round(r(1,2),2)), '; p = ', num2str(round(p(1,2),3))]}, 'location', 'SouthWest'); legend('boxoff')
    xlabel('EEG: attentional modulation factor');
    ylabel('Thalamic latency shift (L234-L1)');
    title({'Thalamic latency shift related to EEG attention modulation'; ''})
    set(findall(gcf,'-property','FontSize'),'FontSize',18)
    

%% plot association of thalamic latency shift to EEG attentional modulation factor

h = figure('units','normalized','position',[0 0 .3 .3]);
    EEGAttentionFactor.PCAalphaGamma(EEGAttentionFactor.PCAalphaGamma>5) = NaN;
    scatter(EEGAttentionFactor.PCAalphaGamma(attFctrIdx), nanmean([maxInd2,maxInd3,maxInd4],2) -maxInd1, 100, 'filled')%,'FillColor', 'k')
    [r, p] = corrcoef(EEGAttentionFactor.PCAalphaGamma(attFctrIdx), nanmean([maxInd2,maxInd3,maxInd4],2)-maxInd1, 'rows', 'complete')
    ll = lsline(); set(ll, 'LineWidth', 2, 'Color', [0 0 0]);
    legend([ll], {['r = ', num2str(round(r(1,2),2)), '; p = ', num2str(round(p(1,2),3))]}, 'location', 'SouthWest'); legend('boxoff')
    xlabel('EEG: attentional modulation factor');
    ylabel('Thalamic latency shift (L234-L1)');
    title({'Thalamic latency shift related to EEG attention modulation'; ''})
    set(findall(gcf,'-property','FontSize'),'FontSize',18)
    
pn.plotFolder = '/Volumes/LNDG/Projects/StateSwitch/dynamic/data/mri/task/analyses/B5_PLS_eventRelated/C_figures/';
figureName = 'B_thalamicLatency_AMFrelation';

saveas(h, [pn.plotFolder, figureName], 'fig');
saveas(h, [pn.plotFolder, figureName], 'epsc');
saveas(h, [pn.plotFolder, figureName], 'png');

 
%% plot main effect of thalamic latency shift

pn.root         = '/Volumes/LNDG/Projects/StateSwitch/dynamic/data/mri/task/analyses/D_PLS_Dim/';
pn.functions    = [pn.root, 'T_tools/']; 
addpath([pn.functions, 'barwitherr/']);
addpath([pn.functions]);

% addpath('/Volumes/LNDG/Projects/StateSwitch/dynamic/data/eeg/rest/B_analyses/A_MSE_CSD_multiVariant/T_tools/brewermap')
% cBrew = brewermap(4,'RdBu');
colorm = [230/265 25/265 25/265; 0/265 50/265 100/265];

condPairs = [1,2; 2,3; 3,4; 1,3; 2,4; 1,4];
condPairsLevel = [7, 8, 9, 7, 8, 9];

catInd = cat(3, maxInd1, maxInd2, maxInd3, maxInd4);
catInd = permute(squeeze(catInd),[2,1]);

h = figure('units','normalized','position',[.1 .1 .4 .4]);
    meanY = nanmean(catInd,2);    
    errorY = nanstd(catInd,[],2)/sqrt(size(catInd,2));
    [h1, hError] = barwitherr(errorY, meanY);
    for indPair = 1:size(condPairs,1)
        % significance star for the difference
        [~, pval] = ttest(catInd(condPairs(indPair,1),:), catInd(condPairs(indPair,2), :)); % paired t-test
        % if mysigstar gets 2 xpos inputs, it will draw a line between them and the
        % sigstars on top
        if pval <.05
            mysigstar(gca, [condPairs(indPair,1)+.1 condPairs(indPair,2)-.1], condPairsLevel(indPair), pval);
        end
    end
    set(h1(1),'FaceColor',colorm(1,:));
    set(h1(1),'LineWidth',2);
    set(hError(1),'LineWidth',3);
    box(gca,'off')
    set(gca, 'XTick', [1,2,3,4]);
    set(gca, 'XTickLabels', {'1'; '2'; '3'; '4'});
    xlabel('Target load')
    %xlabel('Target condition'); 
    ylabel({'Peak latency (TRs)'})
    set(findall(gcf,'-property','FontSize'),'FontSize',30)
    %ylim([-20 10]); xlim([.25 4.75]);

pn.plotFolder = '/Volumes/LNDG/Projects/StateSwitch/dynamic/data/mri/task/analyses/B5_PLS_eventRelated/C_figures/';
figureName = 'C_thalamicLatency_mainEffect';

saveas(h, [pn.plotFolder, figureName], 'fig');
saveas(h, [pn.plotFolder, figureName], 'epsc');
saveas(h, [pn.plotFolder, figureName], 'png');

%% assess relation of other thalamic indices to AMF

figure; 
scatter(EEGAttentionFactor.PCAalphaGamma(attFctrIdx), nanmean([maxVal2,maxVal3,maxVal4],2)-maxVal1, 'filled')
[r, p] = corrcoef(EEGAttentionFactor.PCAalphaGamma(attFctrIdx), nanmean([maxVal2,maxVal3,maxVal4],2)-maxVal1, 'rows', 'complete')

figure; 
scatter(EEGAttentionFactor.PCAalphaGamma(attFctrIdx), nanmean([meanVal2,meanVal3,meanVal4],2), 'filled')
[r, p] = corrcoef(EEGAttentionFactor.PCAalphaGamma(attFctrIdx), nanmean([meanVal2,meanVal2,meanVal3],2), 'rows', 'complete')

load('/Volumes/LNDG/Projects/StateSwitch/dynamic/data/multimodal/B_crossCorrelations/B_data/STSWD_summary.mat')
jointsubs = intersect(STSWD_summary.IDs,IDs);
sumIdx = find(ismember(STSWD_summary.IDs,jointsubs));
PLSIdx = find(ismember(IDs,jointsubs));


figure; 
scatter(STSWD_summary.HDDM.driftMRI(sumIdx,1), nanmean([meanVal2,meanVal3,meanVal4],2), 'filled')
[r, p] = corrcoef(STSWD_summary.HDDM.driftMRI(sumIdx,1), nanmean([meanVal2,meanVal2,meanVal3],2), 'rows', 'complete')


figure; 
scatter(nanmean(STSWD_summary.HDDM.driftMRI(sumIdx,4),2), nanmean([meanVal2,meanVal3,meanVal4],2), 'filled')
[r, p] = corrcoef(nanmean(STSWD_summary.HDDM.driftMRI(sumIdx,4),2), nanmean([meanVal2,meanVal3,meanVal4],2), 'rows', 'complete')


figure; 
scatter(nanmean(STSWD_summary.HDDM.driftMRI(sumIdx,2:4),2), nanmean([maxVal2,maxVal3,maxVal4],2)-maxVal1, 'filled')
[r, p] = corrcoef(nanmean(STSWD_summary.HDDM.driftMRI(sumIdx,2:4),2), nanmean([maxVal2,maxVal3,maxVal4],2)-maxVal1, 'rows', 'complete')


figure; 
scatter(nanmean(STSWD_summary.HDDM.nondecisionMRI(sumIdx,2:4),2), nanmean([maxVal2,maxVal3,maxVal4],2)-maxVal1, 'filled')
[r, p] = corrcoef(nanmean(STSWD_summary.HDDM.nondecisionMRI(sumIdx,2:4),2), nanmean([maxVal2,maxVal3,maxVal4],2)-maxVal1, 'rows', 'complete')

figure; 
scatter(nanmean(STSWD_summary.HDDM.nondecisionMRI(sumIdx,2:4),2), nanmean([meanVal2,meanVal3,meanVal4],2)-meanVal1, 'filled')
[r, p] = corrcoef(nanmean(STSWD_summary.HDDM.nondecisionMRI(sumIdx,2:4),2), nanmean([meanVal2,meanVal3,meanVal4],2)-meanVal1, 'rows', 'complete')

figure; 
STSWD_summary.behav.MRIAcc(STSWD_summary.behav.MRIAcc<.6) = NaN;
scatter(nanmean(STSWD_summary.behav.MRIAcc(sumIdx,1),2), nanmean([meanVal2,meanVal3,meanVal4],2)-meanVal1, 'filled')
[r, p] = corrcoef(nanmean(STSWD_summary.behav.MRIAcc(sumIdx,1),2), nanmean([meanVal2,meanVal3,meanVal4],2)-meanVal1, 'rows', 'complete')

