% Run event-related meanBOLD PLS models, predicting interindividual differences in behavior or attentional modulation

clear all; clc; restoredefaultpath

pn.root         = '/Volumes/LNDG/Projects/StateSwitch/dynamic/data/mri/task/';
pn.plsroot      = [pn.root, 'analyses/B5_PLS_eventRelated/'];
pn.plstoolbox   = [pn.root, 'analyses/D2_PLS_VarTbx/T_tools/PLS_LNDG2018/Pls/']; addpath(genpath(pn.plstoolbox));

cd([pn.plsroot, 'B_data/MeanBOLD_ER_PLS/']);

% run YA model with AMF + DDM drift parameters: 1 LV (.11)

batch_plsgui('behavPLS_ER_AMF_DDMdrift_STSWD_YA_N44_3mm_1000P10.txt')

% run YA model (234-1) with AMF + DDM drift parameters: ?

batch_plsgui('behavPLS_ER_AMF_DDMdrift_234v1_STSWD_YA_N44_3mm_1000P10.txt')

% run YA model with AMF + DDM parameters: 1 LV (.06)
% i.e. adding remaining DDM parameters helps the model
% (reduced measurement noise?)

batch_plsgui('behavPLS_ER_AMF_DDM_STSWD_YA_N44_3mm_1000P10.txt')

% run YA model with only drift 234-1: no sign. LV

batch_plsgui('behavPLS_ER_DriftChange_STSWD_YA_N44_3mm_1000P10.txt')

% run YA-OA (2 group) model with DDM parameters: p(LV1) = .001
% boost in power provides significant results

batch_plsgui('behavPLS_ER_DDM_STSWD_YA_OA_NXX_3mm_1000P10.txt')

% run YA-OA (2 group) model with drift parameters + AMF: n.s.
% still, all DDM parameters are required for a fit

batch_plsgui('behavPLS_ER_AMF_DDMdrift_STSWD_YA_OA_NXX_3mm_1000P10.txt')

% run YA-OA (2 group) model with DDM parameters + AMF: p(LV1) = .02

batch_plsgui('behavPLS_ER_AMF_DDM_STSWD_YA_OA_NXX_3mm_1000P10.txt')

plsgui
