%% Plot brainscores +- CI outside PLS

pn.root         = '/Volumes/LNDG/Projects/StateSwitch/dynamic/data//mri/task/analyses/D_PLS_Dim/';
pn.functions    = [pn.root, 'T_tools/']; 
addpath([pn.functions, 'barwitherr/']);
addpath([pn.functions]);

load(['/Volumes/LNDG/Projects/StateSwitch/dynamic/data/mri/task/analyses/B5_PLS_eventRelated/B_data/MeanBOLD_ER_PLS/behavPLS_ER_DDM_STSWD_YA_OA_NXX_3mm_1000P10_fMRIresult.mat'])

% addpath('/Volumes/LNDG/Projects/StateSwitch/dynamic/data/eeg/rest/B_analyses/A_MSE_CSD_multiVariant/T_tools/brewermap')
% cBrew = brewermap(4,'RdBu');
colorm = [230/265 25/265 25/265; 0/265 50/265 100/265];

groupsizes=result.num_subj_lst;
conditions=lv_evt_list;

conds = {'regr1234'};

condData = []; uData = [];
for indGroup = 1:2
    if indGroup == 1
        relevantEntries = 1:groupsizes(1)*numel(conds);
    elseif indGroup == 2
        relevantEntries = groupsizes(1)*numel(conds)+1:...
             groupsizes(1)*numel(conds)+groupsizes(2)*numel(conds);
    end
    for indCond = 1:numel(conds)
        targetEntries = relevantEntries(conditions(relevantEntries)==indCond);        
        condData{indGroup}(indCond,:) = result.vsc(targetEntries,1); % vsc: designscore
        uData{indGroup}(indCond,:) = result.usc(targetEntries,1); % usc: brainscore
    end
end

% designscore and brainscore are highly correlated (this is the aim after all)

figure; hold on; scatter(condData{1}, uData{1}, 'filled'); scatter(condData{2}, uData{2}, 'filled')

% The individual brainscore represents the loading across all included
% timepoints here. In this case, this should be weigthed strongly towards
% the stimulus presentation period, as that is where the brain LV is most
% strongly expressed.

%% sanity-check correlation between drift L1 and summary drift L1 measure

load('/Volumes/LNDG/Projects/StateSwitch/dynamic/data/behavior/STSW_dynamic/D_DDM/B_data/HDDM_summary_YA_vt.mat', 'HDDM_summary')
HDDMIdx = find(ismember(HDDM_summary.IDs,jointsubs));

figure;
scatter(squeeze(behavdata_lst{1}(PLSIdx,3)), EEGAttentionFactor.PCAalphaGamma(attFctrIdx))
[r, p] = corrcoef(squeeze(behavdata_lst{1}(PLSIdx,3)), EEGAttentionFactor.PCAalphaGamma(attFctrIdx))

figure;
scatter(squeeze(HDDM_summary.driftEEG(HDDMIdx,1)), EEGAttentionFactor.PCAalphaGamma(attFctrIdx))
[r, p] = corrcoef(squeeze(HDDM_summary.driftEEG(HDDMIdx,1)), EEGAttentionFactor.PCAalphaGamma(attFctrIdx))

figure;
scatter(EEGAttentionFactor.PCAalphaGamma(attFctrIdx), uData{1}(PLSIdx))
[r, p] = corrcoef(EEGAttentionFactor.PCAalphaGamma(attFctrIdx), uData{1}(PLSIdx))


figure;
scatter(squeeze(HDDM_summary.driftEEG(HDDMIdx,1)), squeeze(HDDM_summary.driftMRI(HDDMIdx,1)))
[r, p] = corrcoef(squeeze(HDDM_summary.driftEEG(HDDMIdx,1)), squeeze(HDDM_summary.driftMRI(HDDMIdx,1)))

% differences may also be due to session differences, inter-individual
% differences change after all

%% correlate with AMF

load('/Volumes/LNDG/Projects/StateSwitch/dynamic/data/eeg/task/B_analyses/S14_Gamma/B_data/Z2_EEGAttentionFactor_YAOA.mat', 'EEGAttentionFactor')

IDs = {'1117';'1118';'1120';'1124';'1125';'1126';'1131';'1132';'1135';'1136';...
    '1151'; '1160';'1164';'1167';'1169';'1172';'1173';'1178';'1182';'1214';'1215';...
    '1216';'1219';'1223';'1227';'1228';'1233';'1234';'1237';'1239';'1240';'1243';...
    '1245';'1247';'1250';'1252';'1257';'1261';'1265';'1266';'1268';'1270';'1276';'1281'};

jointsubs = intersect(EEGAttentionFactor.IDs,IDs);
attFctrIdx = find(ismember(EEGAttentionFactor.IDs,jointsubs));
PLSIdx = find(ismember(IDs,jointsubs));


% positive correlation of brainscore with theta increases
figure
scatter(uData{1}(PLSIdx),EEGAttentionFactor.ThetaAlphaGamma(attFctrIdx,1), 'filled')
[r, p] = corrcoef(uData{1}(PLSIdx),EEGAttentionFactor.ThetaAlphaGamma(attFctrIdx,1))


figure
scatter(condData{1}(PLSIdx),EEGAttentionFactor.PCAalphaGamma(attFctrIdx), 'filled')
[r, p] = corrcoef(condData{1}(PLSIdx),EEGAttentionFactor.PCAalphaGamma(attFctrIdx))


figure
scatter(uData{1}(PLSIdx),EEGAttentionFactor.PCAalphaGamma(attFctrIdx), 'filled')
[r, p] = corrcoef(uData{1}(PLSIdx),EEGAttentionFactor.PCAalphaGamma(attFctrIdx))


% probe correlation with 1/f and parieto-occipital entropy

load('/Volumes/LNDG/Projects/StateSwitch/dynamic/data/eeg/task/B_analyses/S18_1_f/B_data/C_SlopeFits.mat', 'SlopeFits')
load('/Volumes/LNDG/Projects/StateSwitch/dynamic/data/eeg/task/B_analyses/S18_1_f/B_data/C_stat.mat', 'stat')

jointsubs = intersect(SlopeFits.IDs,IDs);
attFctrIdx = find(ismember(SlopeFits.IDs,jointsubs));
PLSIdx = find(ismember(IDs,jointsubs));

figure
scatter(uData{1}(PLSIdx),nanmean(nanmean(SlopeFits.linFit_2_30(attFctrIdx,2:4,find(stat.posclusterslabelmat)),3),2)-...
    nanmean(nanmean(SlopeFits.linFit_2_30(attFctrIdx,1,find(stat.posclusterslabelmat)),3),2), 'filled')
[r, p] = corrcoef(uData{1}(PLSIdx),nanmean(nanmean(SlopeFits.linFit_2_30(attFctrIdx,2:4,find(stat.posclusterslabelmat)),3),2)-...
    nanmean(nanmean(SlopeFits.linFit_2_30(attFctrIdx,1,find(stat.posclusterslabelmat)),3),2))

figure
scatter(uData{1}(PLSIdx),nanmean(nanmean(SlopeFits.linFit_2_30(attFctrIdx,1:4,find(stat.posclusterslabelmat)),3),2), 'filled')
[r, p] = corrcoef(uData{1}(PLSIdx),nanmean(nanmean(SlopeFits.linFit_2_30(attFctrIdx,1:4,find(stat.posclusterslabelmat)),3),2))


% OA correlation


IDs = {'2104';'2107';'2108';'2112';'2118';'2120';'2121';'2123';'2125';'2129';'2130';...
    '2131';'2132';'2133';'2134';'2135';'2139';'2140';'2145';'2147';'2149';'2157';...
    '2160';'2201';'2202';'2203';'2205';'2206';'2209';'2210';'2211';'2213';'2214';...
    '2215';'2216';'2217';'2219';'2222';'2224';'2226';'2227';'2236';'2237';'2238';...
    '2241';'2244';'2246';'2248';'2250';'2251';'2252';'2258';'2261'};

jointsubs = intersect(EEGAttentionFactor.IDs,IDs);
attFctrIdx = find(ismember(EEGAttentionFactor.IDs,jointsubs));
PLSIdx = find(ismember(IDs,jointsubs));

figure
scatter(condData{2}(PLSIdx),EEGAttentionFactor.PCAalphaGamma(attFctrIdx), 'filled')
[r, p] = corrcoef(condData{2}(PLSIdx),EEGAttentionFactor.PCAalphaGamma(attFctrIdx))

figure
scatter(uData{2}(PLSIdx),EEGAttentionFactor.PCAalphaGamma(attFctrIdx), 'filled')
[r, p] = corrcoef(uData{2}(PLSIdx),EEGAttentionFactor.PCAalphaGamma(attFctrIdx))


%% recreate the loading weights

BrainWeights = reshape(result.u, [20,numel(st_coords),10]);

BrainWeights = BrainWeights(:,:,2);

figure; imagesc(BrainWeights)

%% recreate the correlation structure

CorrMatYA = reshape(result.datamatcorrs_lst{1}, [5,20,numel(st_coords)]);
CorrMatYA = squeeze(CorrMatYA(4,:,:)); % Drift changes

figure; imagesc(CorrMatYA)

figure; hold on;
plot([1:size(CorrMatYA,1)].*.645, nanmean(CorrMatYA,2), 'k', 'LineWidth', 2)
line([6 6], [-.15 .03], 'Color', 'k', 'LineStyle', '--')
line([9 9], [-.15 .03], 'Color', 'k', 'LineStyle', '--')
ylim([-.17 .04])
ylabel({'r: Correlation with Drift change'; '(avg across all voxels)'});
xlabel('Time (s) from stimulus onset trigger; uncorrected for HRF lag')
title({'Relation to behavior is maximal';'during stimulus presentation'})
set(findall(gcf,'-property','FontSize'),'FontSize',18)

%% TR delay of 9-14 approx. corresponds to stim on